- Main Page
- Classes
- Files

- Class List
- Class Members

# pcxFileHeader Struct Reference

List of all members.

## Public Attributes
char | manufacturer
char | version
char | encoding
char | bpp
short | xMin
short | yMin
short | xMax
short | yMax
short | horizontalDPI
short | verticalDPI
char | palette [48]
char | reserved
char | colorPlanes
short | bytesPerLine
short | paletteType
short | hScrSize
short | vScrSize
char | filler [54]

## Detailed Description

Definition at line 18 of file flTexturePCX.c.

## Member Data Documentation

char pcxFileHeader::manufacturer

Definition at line 19 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::version

Definition at line 20 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::encoding

Definition at line 21 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::bpp

Definition at line 22 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::xMin

Definition at line 23 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::yMin

Definition at line 24 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::xMax

Definition at line 25 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::yMax

Definition at line 26 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::horizontalDPI

Definition at line 27 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::verticalDPI

Definition at line 28 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::palette[48]

Definition at line 29 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::reserved

Definition at line 30 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::colorPlanes

Definition at line 31 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::bytesPerLine

Definition at line 32 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::paletteType

Definition at line 33 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::hScrSize

Definition at line 34 of file flTexturePCX.c.

Referenced by texLoadPCX().

short pcxFileHeader::vScrSize

Definition at line 35 of file flTexturePCX.c.

Referenced by texLoadPCX().

char pcxFileHeader::filler[54]

Definition at line 36 of file flTexturePCX.c.

Referenced by texLoadPCX().

The documentation for this struct was generated from the following file:

- flTexturePCX.c